package de.ivu.elect.interfaces.core.internet;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class InternetWidget implements Serializable {

  @XmlElement(required = true)
  private String widgetTypAsString; // kein enum, zu aufwendig bei Neuerung

  @XmlElement(required = true)
  private InternetWidgetStatus status;

  @XmlElement(required = true)
  private Long zeile;

  @XmlElement(required = true)
  private Long position;

  @XmlElement(required = true)
  private String breiteAsString; // kein enum, zu aufwendig bei Neuerung

  @XmlElement(required = false)
  private String beschreibung; // Sprungmarke

  @XmlElement(required = false)
  private String beschreibungLang; // Beschreibung

  @XmlElement(required = true)
  private String customDataXml;

  public String getWidgetTypAsString() {
    return widgetTypAsString;
  }

  public void setWidgetTypAsString(String widgetTypAsString) {
    this.widgetTypAsString = widgetTypAsString;
  }

  public InternetWidgetStatus getStatus() {
    return status;
  }

  public void setStatus(InternetWidgetStatus status) {
    this.status = status;
  }

  public Long getZeile() {
    return zeile;
  }

  public void setZeile(Long zeile) {
    this.zeile = zeile;
  }

  public Long getPosition() {
    return position;
  }

  public void setPosition(Long position) {
    this.position = position;
  }

  public String getBreiteAsString() {
    return breiteAsString;
  }

  public void setBreiteAsString(String breiteAsString) {
    this.breiteAsString = breiteAsString;
  }

  public String getBeschreibung() {
    return beschreibung;
  }

  public void setBeschreibung(String beschreibung) {
    this.beschreibung = beschreibung;
  }

  public String getCustomDataXml() {
    return customDataXml;
  }

  public void setCustomDataXml(String customDataXml) {
    this.customDataXml = customDataXml;
  }

  public String getBeschreibungLang() {
    return beschreibungLang;
  }

  public void setBeschreibungLang(String beschreibungLang) {
    this.beschreibungLang = beschreibungLang;
  }
}
